MinimalJavadocOptions (Gradle API 2.11)
Date: 2016-02-08

Package: org.gradle.external.javadoc

## [Java] Interface MinimalJavadocOptions

- Provides the core Javadoc options.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `MinimalJavadocOptions` | `bootClasspath(File... bootClasspath)`
    `MinimalJavadocOptions` | `breakIterator(boolean breakIterator)`
    `MinimalJavadocOptions` | `breakIterator()`
    `MinimalJavadocOptions` | `classpath(List<File> classpath)`
    `MinimalJavadocOptions` | `classpath(File... classpath)`
    `void` | `contributeCommandLineOptions(ExecSpec execHandleBuilder)`
    `MinimalJavadocOptions` | `destinationDirectory(File directory)`
    `MinimalJavadocOptions` | `doclet(String docletClass)`
    `MinimalJavadocOptions` | `docletpath(File... docletpath)`
    `MinimalJavadocOptions` | `encoding(String encoding)`
    `MinimalJavadocOptions` | `extDirs(File... extDirs)`
    `List<File>` | `getBootClasspath()`
    `List<File>` | `getClasspath()`
    `File` | `getDestinationDirectory()`
    `String` | `getDoclet()`
    `List<File>` | `getDocletpath()`
    `String` | `getEncoding()`
    `List<File>` | `getExtDirs()`
    `String` | `getHeader()`
    `List<String>` | `getJFlags()`
    `String` | `getLocale()`
    `JavadocMemberLevel` | `getMemberLevel()`
    `List<File>` | `getOptionFiles()`
    `JavadocOutputLevel` | `getOutputLevel()`
    `String` | `getOverview()`
    `String` | `getSource()`
    `List<String>` | `getSourceNames()`
    `String` | `getWindowTitle()`
    `StandardJavadocDocletOptions` | `header(String header)`
    `boolean` | `isBreakIterator()`
    `boolean` | `isVerbose()`
    `MinimalJavadocOptions` | `jFlags(String... jFlags)`
    `MinimalJavadocOptions` | `locale(String locale)`
    `MinimalJavadocOptions` | `optionFiles(File... argumentFiles)`
    `MinimalJavadocOptions` | `overview(String overview)`
    `MinimalJavadocOptions` | `quiet()`
    `void` | `setBootClasspath(List<File> bootClasspath)`
    `void` | `setBreakIterator(boolean breakIterator)`
    `void` | `setClasspath(List<File> classpath)`
    `void` | `setDestinationDirectory(File directory)`
    `void` | `setDoclet(String docletClass)`
    `void` | `setDocletpath(List<File> docletpath)`
    `void` | `setEncoding(String encoding)`
    `void` | `setExtDirs(List<File> extDirs)`
    `void` | `setHeader(String header)`
    `void` | `setJFlags(List<String> jFlags)`
    `void` | `setLocale(String locale)`
    `void` | `setMemberLevel(JavadocMemberLevel memberLevel)`
    `void` | `setOptionFiles(List<File> optionFiles)`
    `void` | `setOutputLevel(JavadocOutputLevel outputLevel)`
    `void` | `setOverview(String overview)`
    `void` | `setSource(String source)`
    `void` | `setSourceNames(List<String> sourceNames)`
    `void` | `setWindowTitle(String windowTitle)`
    `MinimalJavadocOptions` | `showAll()`
    `MinimalJavadocOptions` | `showFromPackage()`
    `MinimalJavadocOptions` | `showFromPrivate()`
    `MinimalJavadocOptions` | `showFromProtected()`
    `MinimalJavadocOptions` | `showFromPublic()`
    `MinimalJavadocOptions` | `source(String source)`
    `MinimalJavadocOptions` | `sourceNames(String... sourceNames)`
    `MinimalJavadocOptions` | `verbose()`
    `StandardJavadocDocletOptions` | `windowTitle(String windowTitle)`
    `void` | `write(File outputFile)`

- - ### Method Detail

    - #### public MinimalJavadocOptions bootClasspath(File... bootClasspath)

    - #### public MinimalJavadocOptions breakIterator(boolean breakIterator)

    - #### public MinimalJavadocOptions breakIterator()

    - #### public MinimalJavadocOptions classpath(List<File> classpath)

    - #### public MinimalJavadocOptions classpath(File... classpath)

    - #### public void contributeCommandLineOptions(ExecSpec execHandleBuilder)

    - #### public MinimalJavadocOptions destinationDirectory(File directory)

    - #### public MinimalJavadocOptions doclet(String docletClass)

    - #### public MinimalJavadocOptions docletpath(File... docletpath)

    - #### public MinimalJavadocOptions encoding(String encoding)

    - #### public MinimalJavadocOptions extDirs(File... extDirs)

    - #### @InputFiles public List<File> getBootClasspath()

    - #### public List<File> getClasspath()

    - #### public File getDestinationDirectory()

    - #### @Input @Optional public String getDoclet()

    - #### @InputFiles public List<File> getDocletpath()

    - #### @Input @Optional public String getEncoding()

    - #### @InputFiles public List<File> getExtDirs()

    - #### @Input @Optional public String getHeader()

    - #### public List<String> getJFlags()

    - #### @Input @Optional public String getLocale()

    - #### @Input @Optional public JavadocMemberLevel getMemberLevel()

    - #### public List<File> getOptionFiles()

    - #### public JavadocOutputLevel getOutputLevel()

    - #### @Input @Optional public String getOverview()

    - #### @Input @Optional public String getSource()

    - #### public List<String> getSourceNames()

    - #### @Input @Optional public String getWindowTitle()

    - #### public StandardJavadocDocletOptions header(String header)

    - #### @Input public boolean isBreakIterator()

    - #### public boolean isVerbose()

    - #### public MinimalJavadocOptions jFlags(String... jFlags)

    - #### public MinimalJavadocOptions locale(String locale)

    - #### public MinimalJavadocOptions optionFiles(File... argumentFiles)

    - #### public MinimalJavadocOptions overview(String overview)

    - #### public MinimalJavadocOptions quiet()

    - #### public void setBootClasspath(List<File> bootClasspath)

    - #### public void setBreakIterator(boolean breakIterator)

    - #### public void setClasspath(List<File> classpath)

    - #### public void setDestinationDirectory(File directory)

    - #### public void setDoclet(String docletClass)

    - #### public void setDocletpath(List<File> docletpath)

    - #### public void setEncoding(String encoding)

    - #### public void setExtDirs(List<File> extDirs)

    - #### public void setHeader(String header)

    - #### public void setJFlags(List<String> jFlags)

    - #### public void setLocale(String locale)

    - #### public void setMemberLevel(JavadocMemberLevel memberLevel)

    - #### public void setOptionFiles(List<File> optionFiles)

    - #### public void setOutputLevel(JavadocOutputLevel outputLevel)

    - #### public void setOverview(String overview)

    - #### public void setSource(String source)

    - #### public void setSourceNames(List<String> sourceNames)

    - #### public void setWindowTitle(String windowTitle)

    - #### public MinimalJavadocOptions showAll()

    - #### public MinimalJavadocOptions showFromPackage()

    - #### public MinimalJavadocOptions showFromPrivate()

    - #### public MinimalJavadocOptions showFromProtected()

    - #### public MinimalJavadocOptions showFromPublic()

    - #### public MinimalJavadocOptions source(String source)

    - #### public MinimalJavadocOptions sourceNames(String... sourceNames)

    - #### public MinimalJavadocOptions verbose()

    - #### public StandardJavadocDocletOptions windowTitle(String windowTitle)

    - #### public void write(File outputFile)